package com.yihu.jw.entity.care.device;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.IdEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;
import java.util.List;

/***
 * @ClassName: BaseSleepPlan
 * @Description:    睡眠带监测计划
 * @Auther: shi kejing
 * @Date: 2021/8/23 17:17
 */
@Entity
@Table(name="base_sleep_plan")
public class BaseSleepPlan extends IdEntity {
    private String patient;
    private String deviceSn;
    private String getUpTime;
    private String napTime;
    private String nightRestTime;
    private Date createTime;

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getDeviceSn() {
        return deviceSn;
    }

    public void setDeviceSn(String deviceSn) {
        this.deviceSn = deviceSn;
    }

    public String getGetUpTime() {
        return getUpTime;
    }

    public void setGetUpTime(String getUpTime) {
        this.getUpTime = getUpTime;
    }

    public String getNapTime() {
        return napTime;
    }

    public void setNapTime(String napTime) {
        this.napTime = napTime;
    }

    public String getNightRestTime() {
        return nightRestTime;
    }

    public void setNightRestTime(String nightRestTime) {
        this.nightRestTime = nightRestTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

}
